List webhooks
curl --request GET \
--url https://scheduler.studio.lyzr.ai/agent-webhooks/ \
--header 'x-api-key: <api-key>'import requests
url = "https://scheduler.studio.lyzr.ai/agent-webhooks/"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://scheduler.studio.lyzr.ai/agent-webhooks/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"webhooks": [
{
"id": "66f1c3b7e4b0a1b2c3d4e5f7",
"agent_id": "66e9b0f2a1c3d4e5f6a7b8c9",
"user_id": "user@example.com",
"webhook_url": "https://scheduler.studio.lyzr.ai/webhook-trigger/66f1c3b7e4b0a1b2c3d4e5f7",
"secret_key": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"description": "New Zendesk ticket",
"is_active": true,
"updated_at": "2023-11-07T05:31:56Z",
"last_triggered_at": "2023-11-07T05:31:56Z",
"last_trigger_success": true,
"trigger_count": 0
}
],
"total": 123
}
Agent Webhooks
List Webhooks
List your agent webhooks.
GET
/
agent-webhooks
/
List webhooks
Authorizations
Lyzr API key. Required on every endpoint except Trigger Webhook.
Query Parameters
Filter by agent ID.
Filter by status. true returns active webhooks, false returns paused webhooks.
Number of records to skip.
Required range:
x >= 0Maximum number of records to return (1-100).
Required range:
1 <= x <= 100